package cn.efunbox.audio.service;

import cn.efunbox.audio.entity.Audio;
import cn.efunbox.audio.entity.Record;

import java.util.List;

/**
 * Created by yao on 17-9-26.
 */
public interface RecordService {

    public List<Record> SearchAll(int page, int size);

    public List<Record> SearchById(Long id);

    public List<Record> SearchByIdChannel(Long id, int page, int size);

    public List<Record> SearchByIdDevice(Long id, int page, int size);

    public List<Record> SearchByIdAudio(Long id, int page, int size);

    public Record Insert(Record record);

    public void Delete(Long id);
}
